Subject: Re: prob no. thirty-three thousand, three-hundred & three: hex id for file system is incorrect

From: L A Walsh <[email-masked]>
Date: Thu, 29 Nov 2018 02:05:53 -0800

The reason I was confused about the output -- is that
it really is messed up. (3-3-3-0-3)

On 11/8/2018 6:19 AM, Bernhard Voelker wrote:
> On 11/8/18 11:53 AM, L A Walsh wrote:
>>     Both should be %i for the file system ID in hex.
>> How is it that the fs ID is the same as the device
>> number of the file system?
>>
>> i.e.
>> 8:34 =  8:21 in hex
>> 8:33 =  8:22 in hex
> 
> dunno - I assume this is the secret of the implementation of the file system.
> Did you verify with strace?  I'm quite sure 'stat' only forwards the
> values from the system call.
----

Nope.  It's just wrong: someone added a define, above, 
around #116:

#  define f_fsid dev

So instead of a fsid, it's the device number in hex
with an extra 8 0's tacked on the end.

Does your source control allow finding out when that was added
and by whom?

tnx...